POST Start Solo Experience
https://glz-{region}-1.{shard}.a.pvp.net/parties/v1/players/{puuid}/startsoloexperience Start a solo experience, such as the shooting range or a replay, for the given player.
The module field is only used by some game types and is an empty string otherwise. For example, Aimbots_spawn can be used with the ShootingRange game type.
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
-
{region}There are 6 regions:
Obtaining locally:Region ID Region Name naNorth America latamLatin America brBrazil euEurope apAsia Pacific krKorea The region can be found in the ShooterGame log (
Obtaining remotely:%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log) when it's used in an endpoint url.
Example regex capturing region and shard:https://glz-(.+?)-1.(.+?).a.pvp.netUse the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth
-
{puuid}A player's UUID
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Body
type StartSoloExperienceBody = {
gameType: "BotTrainingMatch" | "ShootingRange" | "NewPlayerExperience" | "WatchReplay" | "ReplayNewPlayerExperience";
/** Empty string for most game types */
module: string;
}; {
"gameType": "BotTrainingMatch",
"module": "dolorem"
} Response
type StartSoloExperienceResponse = {
/** Player UUID */
Subject: string;
Version: number;
/** Party ID */
CurrentPartyID: string;
Invites: null;
Requests: {
ID: string;
/** Party ID */
PartyID: string;
/** Player UUID */
RequestedBySubject: string;
Subjects: string[];
/** Date in ISO 8601 format */
CreatedAt: string;
/** Date in ISO 8601 format */
RefreshedAt: string;
ExpiresIn: number;
}[];
PlatformInfo: {
platformType: "PC";
platformOS: "Windows";
platformOSVersion: string;
platformChipset: "Unknown";
};
}; {
"Subject": "Ccc370b4-d955-1eDa-cA6F-6248A0EBc1eE",
"Version": 568130691129651,
"CurrentPartyID": "7e39ea24-b88A-9ebE-c4fE-a5D8aCFeECB8",
"Invites": null,
"Requests": [
{
"ID": "caveo",
"PartyID": "Ae20c83E-f1D5-5AdD-BB0a-db555A56BCB5",
"RequestedBySubject": "5dF922c6-a23D-eEbE-76FB-Fb3ab4e346C3",
"Subjects": [
"01eAFA30-6eDD-Fd08-5BAb-3eFD358fC033",
"0d6EdF7f-4a77-A6BB-b7eA-Bbb65Ae32E4e"
],
"CreatedAt": "2026-09-30T13:21:18.324Z",
"RefreshedAt": "2026-09-30T03:00:46.416Z",
"ExpiresIn": 6081634197489587
},
{
"ID": "vester",
"PartyID": "40bC9Bbe-bc0f-A2dD-B268-0fC82b7c59E4",
"RequestedBySubject": "4DEa0d0A-1aE7-a5de-EDCF-FD4a10FdF9dA",
"Subjects": [
"F5AAa109-f381-CCba-Cb25-a2cAcD0db2fA",
"bc7B6ab7-A6DE-F816-8c5C-07cD9Dc3e58c"
],
"CreatedAt": "2026-09-30T10:20:11.471Z",
"RefreshedAt": "2026-09-30T07:02:45.219Z",
"ExpiresIn": 7769112858435378
},
{
"ID": "adiuvo",
"PartyID": "67E9FEec-58EF-6C8f-eCCb-aC9BE25CA578",
"RequestedBySubject": "C4Cd0AC0-f7fD-957e-F0aB-acbd0bfd9eCd",
"Subjects": [
"9970B2E5-4689-7e98-cF4f-16e94049aF9D",
"d5455B84-3C39-B6b6-Abd7-2Ea0e9Dc405A",
"481cc11f-F8eF-52ac-6CfF-35dD95BF388E",
"20e953CB-B104-4C02-256f-a7f4d0D124cC"
],
"CreatedAt": "2026-09-29T18:04:03.096Z",
"RefreshedAt": "2026-09-29T22:49:17.957Z",
"ExpiresIn": 8212649116211437
},
{
"ID": "strenuus",
"PartyID": "ED92B9Fb-5DeD-E64d-9BdE-685A0fcdd812",
"RequestedBySubject": "D70bDFBd-bba4-09f2-0e7E-4ABc7AC867D4",
"Subjects": [
"E567Da4e-6209-E389-Ae9f-F2Ef0e46d5FC",
"D11eCD1E-407b-8fC6-Aa09-FefEA6eDBf21",
"D186aDfc-a60A-e1BB-6Dd1-C915E25b82D5",
"b7d03A82-577E-3701-faFD-e5cFdFAEDAF2"
],
"CreatedAt": "2026-09-30T11:07:22.554Z",
"RefreshedAt": "2026-09-29T16:59:06.117Z",
"ExpiresIn": 7948258065599224
}
],
"PlatformInfo": {
"platformType": "PC",
"platformOS": "Windows",
"platformOSVersion": "vulnero",
"platformChipset": "Unknown"
}
}